# KDChartThreeDLineAttributes.cpp File Reference

`#include "KDChartThreeDLineAttributes.h"`
`#include "KDChartThreeDLineAttributes_p.h"`
`#include <QDebug>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartThreeDLineAttributes.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Functions

QDebug | operator<< (QDebug dbg, const KDChart::ThreeDLineAttributes &a)

## Define Documentation

#define d d_func()

Definition at line 33 of file KDChartThreeDLineAttributes.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::ThreeDLineAttributes & | a |
| ) |  |  |

Definition at line 106 of file KDChartThreeDLineAttributes.cpp.

    00107 {
    00108     dbg << "KDChart::ThreeDLineAttributes(";
    00109     dbg = operator <<( dbg, static_cast<const AbstractThreeDAttributes&>(a) );
    00110     dbg << " lineXRotation="<< a.lineXRotation()
    00111         << " lineYRotation="<< a.lineYRotation()
    00112         << ")";
    00113     return dbg;
    00114 }